### Hierarchy

- RegistryService

## Index

### Constructors

- constructor

### Properties

- fileGetter
- registry

### Methods

- getRegistry

## Constructors

### constructor

- new RegistryService(): RegistryService

- - Defined in src/app/_services/registry.service.ts:12

  #### Returns RegistryService

## Properties

### Static fileGetter

fileGetter: FileGetter = ...

- Defined in src/app/_services/registry.service.ts:11

### Static Private registry

registry: CICRegistry

- Defined in src/app/_services/registry.service.ts:12

## Methods

### Static getRegistry

- getRegistry(): Promise<CICRegistry>

- - Defined in src/app/_services/registry.service.ts:16

  #### Returns Promise<CICRegistry>

Generated using TypeDoc